<template>
  <q-card>
    <q-card-section>
      <div>{{ resultText }}</div>
      <q-btn label="Flip a coin" @click="randomize"/>
      <div>Times flipped: {{count}}</div>
    </q-card-section>
  </q-card>
</template>

<script lang="ts" setup>
import useIntRandomizer from "components/IntegerRandomizer";
import {computed} from "vue";

const {result, randomize, count} = useIntRandomizer(0, 1);

const resultText = computed(() => {
  if (count.value === 0){
    return 'Not yet flipped';
  }
  return result.value === 0 ? 'Heads' : 'Tails';
});

</script>

